<?php

/** 
 * Joomla.Plugin - System - NetzSinn Yootheme Pro Element Multiple SQL Custom Field
 * ------------------------------------------------------------------------
 * @package     System - NetzSinn Yootheme Pro Element Multiple SQL Custom Field Plugin
 * @author      Netzsinn.de
 * @copyright   2023 netzsinn.de
 * @license     GNU/GPLv3 <http://www.gnu.org/licenses/gpl-3.0.de.html>
 * @link        https://netzsinn.de
 * ------------------------------------------------------------------------
 */
// No direct access to this file
defined('_JEXEC') or die();

use YOOtheme\Builder;
use YOOtheme\Config;
use YOOtheme\Path;

return [

    // Add builder elements
    'extend' => [

        Config::class => function (Config $config) {
            $config->addFile('netzsinn_multiplesqlcustomfield', Path::get('./config/netzsinn_multiplesqlcustomfield.json'));
            $config->addFilter('netzsinn_multiplesqlcustomfield', function ($value) use ($config) {
                return $config->get('netzsinn_multiplesqlcustomfield.{$value}');
            });
        },

        Builder::class => function (Builder $builder) {
            $builder->addTypePath(Path::get('./element/*/element.json'));
        },

    ],

];
